> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# ユーザーをグループに追加

> アカウント認可グループにユーザーを追加

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ja.json POST /v1/public/accounts/{account_id}/auth/groups/{group_id}/members/users
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/auth/groups/{group_id}/members/users:
    post:
      tags:
        - public-accounts
        - public-account-auth
      summary: アカウント認可グループにユーザーを追加
      description: パスアカウントに紐づくグループを追加。
      operationId: >-
        add_public_account_auth_group_user_member_v1_public_accounts__account_id__auth_groups__group_id__members_users_post
      parameters:
        - in: path
          name: group_id
          required: true
          schema:
            title: Group Id
            type: string
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GroupUserMembershipRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SnapshotRefreshResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - PublicBearerAuth: []
components:
  schemas:
    GroupUserMembershipRequest:
      description: グループにユーザーを追加またはグループから削除するためのリクエスト スキーマ。
      properties:
        user_id:
          minLength: 1
          title: ユーザーID
          type: string
      required:
        - user_id
      title: グループユーザーメンバーシップリクエスト
      type: object
    SnapshotRefreshResponse:
      properties:
        group_edges:
          title: グループエッジ
          type: integer
        group_id:
          anyOf:
            - type: string
            - type: 'null'
          title: グループ ID
        groups_seen:
          title: 処理済みグループ数
          type: integer
        total_edges:
          title: エッジ総数
          type: integer
        user_edges:
          title: ユーザーエッジ
          type: integer
      required:
        - groups_seen
        - user_edges
        - group_edges
        - total_edges
      title: SnapshotRefreshレスポンス
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 詳細
          type: array
      title: HTTPValidationエラー
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 場所
          type: array
        msg:
          title: メッセージ
          type: string
        type:
          title: エラータイプ
          type: string
      required:
        - loc
        - msg
        - type
      title: Validationエラー
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````